SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET @@SESSION.SQL_LOG_BIN= 0;
SET @OLD_TIME_ZONE=@@TIME_ZONE;
SET TIME_ZONE='+00:00';
SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT;
SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS;
SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION;
SET NAMES utf8mb4;
DROP DATABASE IF EXISTS `authf`;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `authf` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;
CREATE TABLE `authf`.`authentication` (
`authentication_id` varchar(36) NOT NULL,
`data` json NOT NULL,
 `blacklisted` TINYINT DEFAULT 0,
PRIMARY KEY (`authentication_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `authf`.`provider_identity` (
`identity_id_type` varchar(256) NOT NULL,
`identity_id` varchar(256) NOT NULL,
`provider` varchar(256) NOT NULL,
`authentication_id` varchar(36) NOT NULL,
PRIMARY KEY (`identity_id_type`, `provider`, `identity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;